#!/bin/bash

name="$1"

echo $1 | grep "^.*-back\..*$" >/dev/null
if [ $? != 0 ]; then
	nname=$( echo $name | sed "s/\(^\.\?[^.]*\)\(\..*$\)/\1-back\2/g" )
	mv -v "$name" "$nname"
	name="$nname"
fi

fgName=$(echo "$name" | sed "s/^\(.*\)-back\(.*\)$/\1.png/g")
read -r dimX dimY <<<$( identify -format '%w %h' "$name" )
convert -size $dimX"x"$dimY xc:"rgba(0,0,0,0)" "$fgName"
